libvisio::VSDOutputElementList Class Reference documentation

Public Member Functions | Private Attributes | List of all members
libvisio::VSDOutputElementList Class Reference

`#include <VSDOutputElementList.h>`

## Public Member Functions
| VSDOutputElementList ()
| VSDOutputElementList (const VSDOutputElementList &elementList)
VSDOutputElementList & | operator= (const VSDOutputElementList &elementList)
virtual | ~VSDOutputElementList ()
void | append (const VSDOutputElementList &elementList)
void | draw (librevenge::RVNGDrawingInterface *painter) const
void | addStyle (const librevenge::RVNGPropertyList &propList)
void | addPath (const librevenge::RVNGPropertyList &propList)
void | addGraphicObject (const librevenge::RVNGPropertyList &propList)
void | addStartTextObject (const librevenge::RVNGPropertyList &propList)
void | addEndTextObject ()
void | addOpenUnorderedListLevel (const librevenge::RVNGPropertyList &propList)
void | addCloseUnorderedListLevel ()
void | addOpenListElement (const librevenge::RVNGPropertyList &propList)
void | addCloseListElement ()
void | addOpenParagraph (const librevenge::RVNGPropertyList &propList)
void | addCloseParagraph ()
void | addOpenSpan (const librevenge::RVNGPropertyList &propList)
void | addCloseSpan ()
void | addInsertText (const librevenge::RVNGString &text)
void | addInsertLineBreak ()
void | addInsertTab ()
void | addStartLayer (const librevenge::RVNGPropertyList &propList)
void | addEndLayer ()
bool | empty () const

## Private Attributes
std::vector< VSDOutputElement * > | m_elements

## Constructor & Destructor Documentation

## § VSDOutputElementList() [1/2]

libvisio::VSDOutputElementList::VSDOutputElementList | ( |  | ) |

## § VSDOutputElementList() [2/2]

libvisio::VSDOutputElementList::VSDOutputElementList | ( | const VSDOutputElementList & | elementList | ) |

## § ~VSDOutputElementList()

libvisio::VSDOutputElementList::~VSDOutputElementList | ( |  | ) |
| virtual

## Member Function Documentation

## § addCloseListElement()

void libvisio::VSDOutputElementList::addCloseListElement | ( |  | ) |

Referenced by libvisio::VSDContentCollector::_flushText().

## § addCloseParagraph()

void libvisio::VSDOutputElementList::addCloseParagraph | ( |  | ) |

Referenced by libvisio::VSDContentCollector::_flushText().

## § addCloseSpan()

void libvisio::VSDOutputElementList::addCloseSpan | ( |  | ) |

Referenced by libvisio::VSDContentCollector::_flushText().

## § addCloseUnorderedListLevel()

void libvisio::VSDOutputElementList::addCloseUnorderedListLevel | ( |  | ) |

Referenced by libvisio::VSDContentCollector::_flushText().

## § addEndLayer()

void libvisio::VSDOutputElementList::addEndLayer | ( |  | ) |

Referenced by libvisio::VSDContentCollector::_flushShape().

## § addEndTextObject()

void libvisio::VSDOutputElementList::addEndTextObject | ( |  | ) |

Referenced by libvisio::VSDContentCollector::_flushText().

## § addGraphicObject()

void libvisio::VSDOutputElementList::addGraphicObject | ( | const librevenge::RVNGPropertyList & | propList | ) |

Referenced by libvisio::VSDContentCollector::_flushCurrentForeignData().

## § addInsertLineBreak()

void libvisio::VSDOutputElementList::addInsertLineBreak | ( |  | ) |

## § addInsertTab()

void libvisio::VSDOutputElementList::addInsertTab | ( |  | ) |

Referenced by libvisio::VSDContentCollector::_flushText().

## § addInsertText()

void libvisio::VSDOutputElementList::addInsertText | ( | const librevenge::RVNGString & | text | ) |

Referenced by libvisio::VSDContentCollector::_flushText().

## § addOpenListElement()

void libvisio::VSDOutputElementList::addOpenListElement | ( | const librevenge::RVNGPropertyList & | propList | ) |

Referenced by libvisio::VSDContentCollector::_flushText().

## § addOpenParagraph()

void libvisio::VSDOutputElementList::addOpenParagraph | ( | const librevenge::RVNGPropertyList & | propList | ) |

Referenced by libvisio::VSDContentCollector::_flushText().

## § addOpenSpan()

void libvisio::VSDOutputElementList::addOpenSpan | ( | const librevenge::RVNGPropertyList & | propList | ) |

Referenced by libvisio::VSDContentCollector::_flushText().

## § addOpenUnorderedListLevel()

void libvisio::VSDOutputElementList::addOpenUnorderedListLevel | ( | const librevenge::RVNGPropertyList & | propList | ) |

Referenced by libvisio::VSDContentCollector::_flushText().

## § addPath()

void libvisio::VSDOutputElementList::addPath | ( | const librevenge::RVNGPropertyList & | propList | ) |

Referenced by libvisio::VSDContentCollector::_flushCurrentPath().

## § addStartLayer()

void libvisio::VSDOutputElementList::addStartLayer | ( | const librevenge::RVNGPropertyList & | propList | ) |

Referenced by libvisio::VSDContentCollector::_flushShape().

## § addStartTextObject()

void libvisio::VSDOutputElementList::addStartTextObject | ( | const librevenge::RVNGPropertyList & | propList | ) |

Referenced by libvisio::VSDContentCollector::_flushText().

## § addStyle()

void libvisio::VSDOutputElementList::addStyle | ( | const librevenge::RVNGPropertyList & | propList | ) |

Referenced by libvisio::VSDContentCollector::_flushCurrentForeignData(), and libvisio::VSDContentCollector::_flushCurrentPath().

## § append()

void libvisio::VSDOutputElementList::append | ( | const VSDOutputElementList & | elementList | ) |

Referenced by libvisio::VSDPage::append().

## § draw()

void libvisio::VSDOutputElementList::draw | ( | librevenge::RVNGDrawingInterface * | painter | ) | const

Referenced by libvisio::VSDPage::draw().

## § empty()

bool libvisio::VSDOutputElementList::empty | ( |  | ) | const
| inline

## § operator=()

libvisio::VSDOutputElementList & libvisio::VSDOutputElementList::operator= | ( | const VSDOutputElementList & | elementList | ) |

## Member Data Documentation

## § m_elements

std::vector<VSDOutputElement *> libvisio::VSDOutputElementList::m_elements
| private

Referenced by addCloseListElement(), addCloseParagraph(), addCloseSpan(), addCloseUnorderedListLevel(), addEndLayer(), addEndTextObject(), addGraphicObject(), addInsertLineBreak(), addInsertTab(), addInsertText(), addOpenListElement(), addOpenParagraph(), addOpenSpan(), addOpenUnorderedListLevel(), addPath(), addStartLayer(), addStartTextObject(), addStyle(), append(), draw(), empty(), operator=(), VSDOutputElementList(), and ~VSDOutputElementList().

The documentation for this class was generated from the following files:

- VSDOutputElementList.h
- VSDOutputElementList.cpp